Subject: bug#9867: 24.0.90; quit-window should provide quit-window-hook

From: martin rudalics <[email-masked]>
Date: Fri, 23 Aug 2019 10:42:32 +0200

> That's true, but is there a use case for the hook function having to
 > know what window it's quitting?

I don't know.  But you could replace 'with-current-buffer' with
'with-selected-window' to avoid worrying about that (and better check
if WINDOW is not already selected before doing that internal state
saving rigmarole).  Or, as I suggested earlier, run the hook only when
quitting the selected window.

martin